# /usr/local/node/node.conf - LinuxNode configuration file
#
# Idle timeout (30 minutes)
IdleTimeout	43200
#
# Timeout when gatewaying (6 hours)
ConnTimeout	43200
#
# Visible hostname
HostName	soul.oh7rba.ampr.org
#
# 
ReConnect	on
#
# "Local" network
LocalNet	44.139/16
#
# Callbook Server
CallServer	zone.oh7rba.ampr.org
#
# Aliases
Alias		bbs	"c oh7rba"
Alias		clu	"c cl0 oh7rba-1"
Alias		nos	"c oh7rba-3"
Alias		conv	"telnet zone.oh7rba.ampr.org 3600"
#

# Hidden ports.
#
HiddenPorts	mk1 mk2 mk3 cl1 cl2

# External commands
#
# Flags:	1	Run command through pipe
#		2	Pass users arguments (not yet implemented)
#
# Args:		%u	Users call w/o SSID. Lower case.
#		%U	Users call w/o SSID. Upper case.
#		%s	Users call w/ SSID. Lower case.
#		%S	Users call w/ SSID. Upper case.
#		%p	Peers call w/o SSID (NETROM), port name (AX.25) or
#			peers ip address (TCP). Lower case.
#		%P	Peers call w/o SSID (NETROM), port name (AX.25) or
#			peers ip address (TCP). Upper case.
#		%r	Peers call w/ SSID (NETROM), port name (AX.25) or
#			peers ip address (TCP). Lower case.
#		%R	Peers call w/ SSID (NETROM), port name (AX.25) or
#			peers ip address (TCP). Upper case.
#		%t	Connection type (ax25, netrom, inet or host).
#			Lower case.
#		%T	Connection type (AX25, NETROM, INET or HOST).
#			Upper case.
#
ExtCmd		uptime	1	nobody	/usr/bin/uptime uptime
ExtCmd		version	1	nobody	/bin/uname uname -a
ExtCmd		free	1	nobody	/usr/bin/free free
#ExtCmd		pms	1	root	/usr/sbin/pms pms -u %U -o OH2BNS
# This is for testing purposes
#ExtCmd		echo	1	nobody	/bin/echo echo %U %u %S %s %P %p %R %r %T %t %%U
